from __future__ import generators
import plus
import Arenas
import random
import Hazards2
import math

class ClawTop(Arenas.SuperArena):
    "WELCOME TO MARS!!!!"
    name = "MARS ARENA"
    preview = "mars/preview.bmp"
    game_types = ['DEATHMATCH']
    extent = (-13, 13, 14, -14)

    def __init__(self):
        Arenas.SuperArena.__init__(self, "Arenas/mars/mars.gmf")
        #plus.Arena.__init__(self, "")
        plus.setBackColor(0,0,0)
        
        fov = 0.015
        self.AddStaticCamera("Static Cam Overhead", (0, 30, -63), (1.5708,0), 72*fov)
	self.AddStaticCamera("Static Cam Angled Mega Zoom", (0, 60, -20), (2.17, 0), 25*fov)
	self.AddStaticCamera("Static Cam Angled Zoom", (0, 60, -20), (2.17, 0), 35*fov)
	self.AddStaticCamera("Static Cam Angled Zoom Out", (0, 60, -20), (2.17, 0), 45*fov)
	self.AddWatchCamera("Watch Cam Ultra Mega Zoom", (0, 60, -30), (6, 12, 30*fov, 10*fov))
	self.AddWatchCamera("Watch Cam Mega Zoom", (0, 60, -30), (6, 12, 30*fov, 20*fov))
	self.AddWatchCamera("Watch Cam Zoom", (0, 60, -30), (6, 12, 30*fov, 30*fov))
	self.AddWatchCamera("Watch Cam Zoom Out", (0, 60, -30), (6, 12, 30*fov, 40*fov))
	self.AddWatchCamera("Watch Cam Mega Zoom Out", (0, 60, -30), (6, 12, 30*fov, 50*fov))
        self.players = ()

    def Activate(self, on):
        if on: self.players = plus.getPlayers()
        
        Arenas.SuperArena.Activate(self, on)


        
Arenas.register(ClawTop)
